Subject: Re: [PATCH 03/10] mm: Add support for a filesystem to control swap files

From: Peter Zijlstra <[email-masked]>
Date: Mon, 12 Sep 2011 14:06:43 +0200

On Mon, 2011-09-12 at 12:56 +0100, Mel Gorman wrote:

> I took a look at what was involved with doing the block lookups in
> ext4. It's what led to patch 4 of this series because it was necessary that
> the filesystem get the same information as the generic handler. It got a
> bit messy but looked like it would have worked if I kept at it. I stopped
> because I did nt see a major advantage with swap_writepage() looking up
> the block map instead of having looked it up in advance with bmap() but
> I could have missed something.

IIRC the filesystem folks don't like the bmap thing and would like it to
go away.. could be they changed their minds again though, who knows ;-)

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Fight unfair telecom internet charges in Canada: sign http://stopthemeter.ca/
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>